<!DOCTYPE html>

<html lang="en">
<head>

  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>

<body>
    <div id="app">
        <input type="text" v-model="keyword" placeholder="ketikan kata kunci">
        <ul>
            <li v-for="(book, index) of filterBooks" :key="index">
                    {{ book }}
            </li>
        </ul>
    </div>

<script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
  <script>
    var vm = new Vue({
        el: '#app',
        data: {
            keyword:'',
            books :[
                'Kalkulus Dasar',
                'Fisika Dasar',
                'Aljabar Linier Elementer',
                'Aljabar Abstrak',
                'Algoritma Pemrograman'
            ]        
        },
            computed:{
                filterBooks(){
                    return this.books.filter((book)=>{
                        return book.toLowerCase().includes(this.keyword.toLowerCase())
                    })
                }
            }
    
})
  </script>
</body>
</html>